Package com.netrics.likeit

## Enum NetricsObjectType

- java.lang.Object
- - java.lang.Enum<NetricsObjectType>
  - - com.netrics.likeit.NetricsObjectType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<NetricsObjectType>`

      public enum NetricsObjectType
      extends java.lang.Enum<NetricsObjectType>

  Enumerates the types of objects that can be stored in a ibi Patterns Server.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CHARMAP` | ibi™ Patterns - Search character-map objects.
    `MODEL` | ibi™ Patterns - Search RLink model objects.
    `TABLE` | ibi™ Patterns - Search table objects.
    `THES` | ibi™ Patterns - Search thesaurus objects.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static NetricsObjectType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static NetricsObjectType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TABLE

          public static final NetricsObjectType TABLE

      ibi™ Patterns - Search table objects.

    - #### CHARMAP

          public static final NetricsObjectType CHARMAP

      ibi™ Patterns - Search character-map objects.

    - #### THES

          public static final NetricsObjectType THES

      ibi™ Patterns - Search thesaurus objects.

    - #### MODEL

          public static final NetricsObjectType MODEL

      ibi™ Patterns - Search RLink model objects.

  - ### Method Detail

    - #### values

          public static NetricsObjectType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NetricsObjectType c : NetricsObjectType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NetricsObjectType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null